<launch>
    <arg name="world_type" default="hal_world_bumpy"/>
    <arg name="manipulator_included" default="false"/>
    <arg name="fixed_manipulator" default="false"/>   
    <arg name="paused" default="true"/>  
    <include file="$(find hal_rover_simulator)/launch/hal_robot.launch">
        <arg name="world_type" value="$(arg world_type)" />
        <arg name="manipulator_included" value="$(arg manipulator_included)"/>
        <arg name="fixed_manipulator" value="$(arg fixed_manipulator)"/>
        <arg name="paused" value="$(arg paused)"/>
    </include>
    <node pkg="hal_coordinate_estimator" name="pose_estimation_node" type="coordinate_estimator.py" />
    <node pkg="hal_ar_codes_recognition" name="opencv_node" type="ar_tag_recognition.py" />
    <node pkg="hal_navigation" name="navigator" type="navigator.py" />
    <node pkg="hal_navigation" name="a_star" type="a_star" />
    <node pkg="hal_gazebo_2_rviz_spy" name="spy" type="spy.py" />
    <node pkg="hal_kalman" name="kalman" type="kalman.py" />

    <!-- rviz -->
    <arg name="rvizconfig" default="$(find hal_rover_simulator)/rviz/config.rviz" />
    <node name="rviz" pkg="rviz" type="rviz" args="-d $(arg rvizconfig)" />
</launch>